Subject: Re: FIN_WAIT1 / TCP_CORK / 2.2 -- reproducible bug and test case

From: Martin Pool <[email-masked]>
Date: Sat, 5 Oct 2002 17:51:59 +1000

On  5 Oct 2002, James Morris <[email-masked]> wrote:
> Martin,
> 
> I'm not able to reproduce the bug exactly as described.  What kind of
> network connection were you using between the boxes, and what was the
> kernel version at the server end?  (I've been testing between two boxes on
> a 10Mbps lan, with 2.2.22 at the client side and both 2.2.20 and 2.4.19
> kernels at the server side).

The machine inside VMware is as shown below.  This was originally
reported by a distcc user who was apparently experiencing the problem
on diverse hardware on a 100Mbps switched network.

Did you see the example code that I posted at the start of the thread?

I can't reproduce it locally, but I can reproduce it going to a 2.4.18
machine across a 100Mbps switched network.  A tcpdump (complete?) is
attached.

mbp@maudlin:~$ lspci
00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (AGP disabled) (rev 01)
00:07.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 08)
00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB
00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 08)
00:0f.0 VGA compatible controller: Unknown device 15ad:0405
00:10.0 SCSI storage controller: BusLogic BT-946C (BA80C30) [MultiMaster 10] (rev 01)
00:11.0 Ethernet controller: Advanced Micro Devices [AMD] 79c970 [PCnet LANCE] (rev 10)

mbp@maudlin:~$ cat /proc/cpuinfo 
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 15
model		: 1
model name	: Intel(R) Pentium(R) 4 CPU 1.70GHz
stepping	: 2
cpu MHz		: 1696.308
cache size	: 256 KB
fdiv_bug	: no
hlt_bug		: no
sep_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 2
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat pse36 cflush dtrace acpi mmx fxsr sse xmm2 ssnp 28 acc
bogomips	: 2929.45

-- 
Martin